import logging

from tqdm import tqdm


class TqdmHandler(logging.StreamHandler):
    def __init__(self):
        super().__init__()

    def emit(self, record):
        msg = self.format(record)
        tqdm.write(msg)